<template>
<v-layout row>
  <div class="form">
    <h3> Insert Person </h3>
    <PersonForm/>
  </div>
<v-layout align-center justify-center column >
	<h2>
		Click on a person to get their info
	</h2>
  <div v-for="(person, index) in people" :key="index">
    <v-btn
      :color="person.eye_color"
      :value="peopleInfoId[index]"
      dark
      @click.stop="getPersonInfo(person, index)"
    >{{ person.name }}</v-btn>
    <v-dialog
      v-model="peopleInfoId[index]"
      max-width="290"
    >
      <v-card>
				<v-card-title>	
		      <h3>{{ person.name }}</h3>
				</v-card-title>
				<v-card-text>
					<b>eye color: </b> <a :style="{color: person.eye_color}">{{ person.eye_color }}</a>
					<div>
					<b>films: </b> <div v-for="(film, index) in filmsByPerson(person)" :key="index">{{ film.title }}</div>
					</div>
				</v-card-text>
      </v-card>
    </v-dialog>
  </div>
</v-layout>
</v-layout>
</template>

<script>
import { mapState } from 'vuex';
import { mapGetters } from 'vuex';
import PersonForm from '../components/PersonForm.vue'
export default {
  computed: {
    ...mapGetters('people', ['people',]),
		...mapState('films', ['films',]),
    ...mapGetters('films',['filmsByPerson']),
  },
  components: {
    PersonForm,
  },
  data() {
    return {  
      peopleInfoId: {},
			filmsForUser: [],
    }
  },
  mounted(){
    this.$store.dispatch('people/getPeople');
  },
	methods: {
		async getPersonInfo(person, index){
			this.filmsForUser=[];
			for(let film of person.films){
			  this.$store.dispatch('films/getFilm', film);
			}	
			this.$set(this.peopleInfoId, index, true) 
		},
	}
};
</script>

<style scoped>
h2 {
	color: brown
}
.form {
  position: relative;
  top: 10px;
  left: 50px;
}
.v-btn {
  width: 200px;
}

</style>
